<?php
defined( 'ABSPATH' ) || die( "Can't access directly" );
/**
 * Aracade Theme
 * Custom CSS
 */
function arcade_custom_css() {
    $css = array(
        // Modern Normalize.CSS
        file_get_contents(get_template_directory() . '/assets/modern-normalize.css'),

        // Critical.CSS
        file_get_contents(get_template_directory() . '/assets/critical.css'),
    );

    // User-Defined CSS
    $css [] = sprintf('a { color:%s; }', get_theme_mod( 'color_a', '#ffd219' ) );
    $css [] = sprintf('a:hover { color:%s; }', get_theme_mod( 'color_a_hover', '#fff' ) );
    $css [] = sprintf('header#header { background-color:%s; }', get_theme_mod( 'header_bg_color', '#FACC48' ) );
    $css [] = sprintf('#top-nav ul li a { color:%s; }', get_theme_mod( 'header_menu_color', '#fff' ) );
    $css [] = sprintf('#tc li a { color:%s; }', get_theme_mod( 'header_submenu_color', '#1e5979' ) );
    $css [] = sprintf('#top-nav .btn-green {
        box-shadow: 0 4px 0 %s;
        background: %s;
    }', get_theme_mod( 'header_menu_button_bg_color2', '#408216' ), get_theme_mod( 'header_menu_button_bg_color', '#1e5979' ) );

    printf('<style>%s</style>', implode('', $css));
}
add_filter('wp_head', 'arcade_custom_css');